Subject: Re: [PATCH/RFC] init, clone: support --real-git-dir for .git file

From: Miles Bader <[email-masked]>
Date: Fri, 04 Mar 2011 15:57:04 +0900

Junio C Hamano <[email-masked]> writes:
> You are only saying you want to move it, not saying why you want to move
> it.
>
> That is not an explanation _why_ it is useful to be able to do so.

Hmm, one scenario would be when you want to "manage" a work tree using a
relatively-passive tool that might barf over the contents (large, weird,
files...) of a .git dir.  E.g., eclipse or something (well I guess
eclipse might actually have direct git support these days, but you get
the idea).

-Miles

-- 
Politeness, n. The most acceptable hypocrisy.